> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enso.build/llms.txt
> Use this file to discover all available pages before exploring further.

# LayerZero pool

> Returns the LayerZero Stargate pool address for a given token address and chain ID. Returns null if no pool exists for the token on that chain.



## OpenAPI

````yaml /public/openapi.json get /api/v1/layerzero/pool
openapi: 3.0.0
info:
  title: Enso API
  description: >-
    #### Enso API

    - Find detailed documentation on
    [docs.enso.finance](https://docs.enso.finance).

    - To use the API, **you must include your API Key in the Authorization
    header** (Bearer format).

    - For testing, Swagger pre-authorizes you using the key:
    `1e02632d-6feb-4a75-a157-documentation` (1rps).

    - Get your own API Key at
    [enso.finance/developers](https://enso.finance/developers).
  version: 1.0.1
  contact: {}
servers:
  - url: https://api.enso.build
security:
  - {}
tags:
  - name: shortcuts
    description: ''
paths:
  /api/v1/layerzero/pool:
    get:
      tags:
        - Integration
        - Crosschain
      summary: LayerZero pool
      description: >-
        Returns the LayerZero Stargate pool address for a given token address
        and chain ID. Returns null if no pool exists for the token on that
        chain.
      operationId: LayerZeroController_getPoolAddress
      parameters:
        - name: chainId
          required: true
          in: query
          description: Chain ID
          schema:
            type: number
        - name: token
          required: true
          in: query
          description: Token address
          schema:
            type: string
        - name: destinationChainId
          required: false
          in: query
          description: Chain ID of destination chain
          schema:
            type: number
        - name: destinationToken
          required: false
          in: query
          description: Token address on destination chain
          schema:
            type: string
      responses:
        '200':
          description: Pool address lookup result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LZPoolLookupResponse'
components:
  schemas:
    LZPoolLookupResponse:
      type: object
      properties:
        pool:
          type: string
          description: LayerZero pool address for the source token
          example: '0x6c96de32cea08842dcc4058c14d3aaad7fa41dee'
        chainId:
          type: number
          description: Source chain ID
          example: 1
        destinationChainId:
          type: number
          description: Destination chain ID
          example: 10
        token:
          type: string
          description: Source token address
          example: '0xdac17f958d2ee523a2206206994597c13d831ec7'
        decimals:
          type: number
          description: Decimals of the source token
          example: 6
        destinationData:
          description: Details about the destination pool and token
          allOf:
            - $ref: '#/components/schemas/LZDestinationTokenData'
      required:
        - pool
        - chainId
        - destinationChainId
        - token
        - decimals
        - destinationData
    LZDestinationTokenData:
      type: object
      properties:
        pool:
          type: string
          description: LayerZero pool address on the destination chain
          example: '0xf03b4d9ac1d5d1e7c4cef54c2a313b9fe051a0ad'
        token:
          type: string
          description: Token address on the destination chain
          example: '0x01bff41798a0bcf287b996046ca68b395dbc1071'
        decimals:
          type: number
          description: Decimals of the token on the destination chain
          example: 6
      required:
        - pool
        - token
        - decimals

````